### Struct

# Ide LineReader

#### Description

    struct IdeLineReader {
      gchar* contents;
      gsize length;
      gssize pos;
    }

No description available.

###### Structure members

`contents` | No description available.
`length` | No description available.
`pos` | No description available.

#### Instance methods

###### ide_line_reader_init

No description available.

###### ide_line_reader_next

Moves forward to the beginning of the next line in the buffer. No changes to the buffer are made, and the result is a pointer within the string passed as `contents` in ide_line_reader_init(). Since the line most likely will not be terminated with a NULL byte, you must provide `length` to determine the length of the line.

Available since: 3.32